
Redmine - Feature #5164

Linkify folder names on revision view

2010-03-24 10:35 - diafza diafza

Status: Closed Start date: 2010-03-24

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category: UI Estimated time: 0.00 hour

Target version: 0.9.5   

Resolution: Fixed   

Description

when you look at a revision page @ /projects/projectname/repository/revisions/

would it be possible to link the folder structure in the files section

through to the relevant folder in the repository (most likely in the same revision)

as for one of my projects, we would like to see all the other files in that folder

and it would be easier to find if that linked straight through

Related issues:

Related to Redmine - Patch #235: To update the revision and to link the revision Closed

Associated revisions

Revision 3659 - 2010-04-11 17:18 - Jean-Philippe Lang

Linkify folder names on revision view (#5164).

History

#1 - 2010-03-24 11:48 - Felix Schäfer

I'm not sure I understand your problem. If I'm at http://www.redmine.org/projects/redmine/repository and click on trunk, I get to 

http://www.redmine.org/projects/redmine/repository/show/trunk, which contains a list of the files in the directory.

#2 - 2010-03-24 11:54 - diafza diafza

- Assignee set to Felix Schäfer

for example im referring to this page [[http://www.redmine.org/projects/redmine/repository/revisions/3609]]

to link through to trunk, config and locales, in the files section showing the differences

#3 - 2010-03-24 12:11 - Felix Schäfer

- Subject changed from browse repository from revision page to Linkify folder names on revision view

- Category set to UI

- Assignee deleted (Felix Schäfer)

- Target version set to 0.9.4

This shouldn't be too hard, though I haven't had a chance to look at the code and I won't be able to in the next few days. I'l let JPLang or Eric Davis

take care of that.

#4 - 2010-03-24 16:59 - Yuki Kita

- File repositories_helper.rb.diff added

Hi,

This is a patch to link folders on a revision view.

Please try it.

#5 - 2010-03-25 07:38 - diafza diafza

nope didnt work?

running  0.9.3
#6 - 2010-03-25 09:13 - Yuki Kita

Theo Silelidis wrote:

nope didnt work?

running  0.9.3

 I tested the patch with trunk+git and 0.9.3+subversion.

And it worked fine for both situation.

What SCM do you use?

#7 - 2010-03-25 09:17 - diafza diafza

use subversion, and used tortoisesvn to apply the patch

maybe send me the full file for 0.9.3, would be appreciated

thanks

#8 - 2010-03-25 09:40 - Yuki Kita

- File repositories_helper.rb added

Theo Silelidis wrote:

use subversion, and used tortoisesvn to apply the patch

maybe send me the full file for 0.9.3, would be appreciated

thanks

 This is the full file for 0.9.3

Please try it again.

#9 - 2010-03-25 10:12 - diafza diafza

yip there we go, thanks working 100s

#10 - 2010-04-11 17:17 - Jean-Philippe Lang

- Status changed from New to Resolved

- Target version changed from 0.9.4 to 0.9.5

- Resolution set to Fixed

Feature committed in trunk in r3659. Will wait 0.9.5 to merge into 0.9-stable.

#11 - 2010-06-19 20:39 - Eric Davis

- Status changed from Resolved to Closed

- % Done changed from 0 to 100

Merged into 0.9-stable.

Files

repositories_helper.rb.diff 2.58 KB 2010-03-24 Yuki Kita

repositories_helper.rb 7.47 KB 2010-03-25 Yuki Kita
